import 'package:example/pages/formatter/formatter_binding.dart';
import 'package:example/pages/formatter/formatter_view.dart';
import 'package:example/pages/home/home_binding.dart';
import 'package:example/pages/home/home_view.dart';
import 'package:example/pages/style/style_view.dart';
import 'package:get/get_navigation/src/routes/get_route.dart';

class AppRoute {
  static const String pageHome = '/home';
  static const String pageStyle = '/style';
  static const String pageFormatter = '/formatter';

  static final List<GetPage> pages = [
    GetPage(
      name: pageHome,
      page: () => HomePage(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: pageStyle,
      page: () => StylePage(),
    ),
    GetPage(
      name: pageFormatter,
      page: () => FormatterPage(),
      binding: FormatterBinding(),
    ),
  ];
}
