import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:wise_util/res/wise_color.dart';
import 'package:wise_util/res/wise_localizations.dart';
import 'package:wise_util/res/wise_style.dart';
import 'package:wise_util/util/screen/screen_size_extension.dart';
import 'package:wise_util/widget/wise_box.dart';
import 'package:wise_util/widget/wise_button.dart';

class AppUpdateDialog extends StatelessWidget {
  final bool isForceUpdate;

  AppUpdateDialog({this.isForceUpdate = false});

  @override
  Widget build(BuildContext context) {
    WiseString strings =
        WiseLocalizations.of(context)?.currentLocalization ?? EnWiseString();
    return Dialog(
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Container(
            width: 280.w,
            height: 130.w,
            decoration: BoxDecoration(
              image: DecorationImage(
                image: AssetImage(
                  'assets/images/app_update_dialog_header.png',
                  package: 'wise_util',
                ),
                fit: BoxFit.fill,
              ),
            ),
          ),
          Container(
              width: 280.w,
              height: 2.w,
              child: LinearProgressIndicator(
                value: 0.8,
                valueColor: AlwaysStoppedAnimation(Color(0xFF019FE8)),
                backgroundColor: Color(0xFF019FE8).withOpacity(0.38),
              )),
          Container(
            width: 280.w,
            padding: EdgeInsets.symmetric(horizontal: 20.w, vertical: 20.w),
            decoration: BoxDecoration(
              color: WiseColor.colorNormalBackground(),
              borderRadius: BorderRadius.vertical(bottom: Radius.circular(4)),
            ),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Text(
                  strings.appUpdateDialogTitle,
                  style: WiseStyle.textStyleBoldPrimaryText(),
                ),
                WiseBox().hBox12,
                Align(
                  alignment: Alignment.topLeft,
                  child: Text(
                    "1. Fix some bugs \n2. Add QR editing function \n3. Optimize the homepage \n4. Other function optimization",
                    style: WiseStyle.textStylePrimaryText(),
                    maxLines: 12,
                    overflow: TextOverflow.ellipsis,
                  ),
                ),
                WiseBox().hBox20,
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    WiseButton.secondButton(
                      strings.appUpdateDialogCancel,
                      minWidth: 114.w,
                      onPressed: () {
                        if (isForceUpdate) {
                        } else {
                          Get.back();
                        }
                      },
                    ),
                    WiseButton.primaryButton(
                      strings.appUpdateDialogUpdate,
                      minWidth: 114.w,
                      onPressed: () {},
                    ),
                  ],
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
