import 'package:get/get.dart';
import 'package:package_info_plus/package_info_plus.dart';
import 'package:wise_util/business/update/app_update_dialog.dart';

class AppUpdateService {
  static Future<bool> checkUpdate({bool showDialog = true}) async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();

    String appName = packageInfo.appName;
    String packageName = packageInfo.packageName;
    String version = packageInfo.version;
    String buildNumber = packageInfo.buildNumber;
    print("appName:$appName");
    print("packageName:$packageName");
    print("version:$version");
    print("buildNumber:$buildNumber");
    if (showDialog) {
      Get.dialog(AppUpdateDialog(), barrierDismissible: false);
    }

    return Future.value(true);
  }

  ///当前应用版本号
  static Future<String> appVersion() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    return packageInfo.version;
  }

  ///当前应用名称
  static Future<String> appName() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    return packageInfo.appName;
  }

  ///当前应用构建号
  static Future<String> appBuildNumber() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    return packageInfo.buildNumber;
  }

  ///当前应用包名
  static Future<String> appPackageName() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    return packageInfo.packageName;
  }
}
